Package com.xebialabs.xlrelease.domain.events

# Class TaskOverdueEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.TaskOverdueEvent

All Implemented Interfaces:
  `TaskEvent`, `TaskExecutionEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class TaskOverdueEvent extends Object implements TaskExecutionEvent, scala.Product, Serializable
Event published when a task is overdue.

param: task instance of the task.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskOverdueEvent(Task task)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TaskOverdueEvent`
  `apply(Task task)`
  `boolean`
  `canEqual(Object x$1)`
  `TaskOverdueEvent`
  `copy(Task task)`
  `Task`
  `copy$default$1()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Task`
  `task()`
  The task of which status has changed.
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<Task>`
  `unapply(TaskOverdueEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### TaskOverdueEvent

    public TaskOverdueEvent(Task task)

- ## Method Details

  - ### apply

    public static TaskOverdueEvent apply(Task task)

  - ### unapply

    public static scala.Option<Task> unapply(TaskOverdueEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### task

    public Task task()
    Description copied from interface: `TaskExecutionEvent`
    The task of which status has changed.
    Specified by:
      `task` in interface `TaskExecutionEvent`
    Returns:
      (undocumented)

  - ### copy

    public TaskOverdueEvent copy(Task task)

  - ### copy$default$1

    public Task copy$default$1()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`